AOZ Studio Beta - Bug #1000

The Font$() command does not recognize the default font any more. (Get Font Number works
though)

12/19/2022 05:01 AM - Brian Flanagan

Status: Resolved Start date: 12/18/2022
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B16) u27

Description

Apparently, the** Font$()** command does not recognize the default font.

numFonts = Get Font Number

Print "Number of fonts:";numFonts ' this works, so AOZ knows it exists.
Print Font$(0) ' Returns "Font not available" error

Print Font$ (1) ' Returns "Font not available" error

We should be providing information about the default font.
If | add a Google font...

#googleFont: "Baloo", 48

Print "Number of fonts:";numFonts ' AOZ gets 2 now
Print Font$(0) ' Returns the Baloo information
Print Font$ (1) ' Returns "Font not available" error

Even though Font number = 2, the second font isn't recognized.
Also, the Default Font should ALWAYS be font 0.
After adding the Google Font, apparently, it becomes font 0.

NOTE: In AMOS - Amiga, Font$(0) should return an empty string.
The font numbers started at 1. (at least in UAE)

History

#1 - 01/19/2023 02:26 AM - Francois Lionet

Fixed, there was a mix-up between the font of the application and the fonts of the extensions like the debugger.
If you do NOT add any Google font, then Get Font Number will return 0.

#2 - 01/19/2023 02:34 AM - Francois Lionet
ANd in Amiga mode, Get Font$( 0 ) returns ™"

#3 - 01/19/2023 02:34 AM - Francois Lionet

- Status changed from New to Resolved
